function ypred=BayesLR_Prediction(theta,V,alp,bet,Xnew,prop)
if nargin()<6; prop=0.95; end;
tf=tinv(0.5+prop/2,2*alp);
ynew=Xnew*theta;
sc_ynew=sqrt(diag((eye(numel(Xnew(:,1)))+Xnew*V*Xnew.')*bet/alp));
ypred=[ynew,sc_ynew*sqrt(alp/(alp-1)),ynew-tf*sc_ynew,ynew+tf*sc_ynew];
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------
 



