function [X,Scal]=BayesLR_Designmatrix(x,exponents,scale)
x=x(:);
npar=numel(exponents);
X=zeros(numel(x),npar);
for k=1:npar
    X(:,k)=x.^exponents(k);
end
Scal=eye(npar);
if scale~=0
    sd=0.5*std(X);
    sd(sd==0)=1;
    Scal=diag(1./sd);
    X=X*Scal;
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------

