function BayesLR_PlotModel(x,X,theta,V,alp,bet,prop,col)
if nargin()<8; col='k'; end;
if nargin()<7; prop=0.95; end;
[~,ind]=sort(x);
post_int=sqrt(bet*dot(X(ind,:).',V*X(ind,:).').'/alp)*tinv(0.5+prop/2,2*alp);
plot(x(ind),X(ind,:)*theta,['-',col],'linewidth',1.3);
plot(x(ind),X(ind,:)*theta+post_int,['--',col],'HandleVisibility','off');
plot(x(ind),X(ind,:)*theta-post_int,['--',col],'HandleVisibility','off');
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------
